Skip to main content

Create lead

POSThttps://api.propexo.com/v1/leads/

Create a lead for an integration.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired
    property_idstring

    The Propexo unique identifier for the property

    first_namestring

    The first name associated with the lead

    last_namestring

    The last name associated with the lead

    employee_idstring

    The Propexo unique identifier for the employee

    desired_unit_idsstring[]

    An array of the Propexo unit IDs that the lead is interested in

    Possible values: <= 25

    unit_idstring

    The Propexo unique identifier for the unit

    number_of_additional_occupantsinteger

    The number of additional occupants associated with the lead

    Possible values: >= 0

    desired_num_bathroomsnumber

    The desired number of bathrooms

    Possible values: >= 0

    desired_num_bedroomsnumber

    The desired number of bedrooms

    credit_scorestring

    The credit score of the lead

    target_move_in_datestring

    The move-in date associated with the lead. The timestamp will be stripped off and only the date will be used

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    email_1string

    The primary email address associated with the lead

    has_catsboolean

    Whether or not the lead has cats

    has_dogsboolean

    Whether or not the lead has dogs

    has_other_petsboolean

    Whether or not the lead has pets that aren't dogs or cats

    desired_max_rent_in_centsinteger

    The maximum rent cost the lead is looking to pay, in cents

    Possible values: >= 0

    monthly_income_in_centsinteger

    The monthly income of the lead, in cents

    Possible values: >= 0

    middle_initialstring

    The middle initial of the lead

    Possible values: non-empty and <= 1 characters

    phone_1string

    Primary phone number associated with the lead

    lead_sourcestring

    The name of the source of the lead

    statusstring

    The status associated with the lead

    Show 4 enum values
    ACTIVECOLDINACTIVEWAITLISTED
    desired_move_in_datestringdeprecated

    Deprecated. Use target_move_in_date instead.

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    desired_bathroomsstringdeprecated

    Deprecated. Use desired_num_bathrooms instead.

    desired_bedroomsintegerdeprecated

    Deprecated. Use desired_num_bedrooms instead.

    Possible values: >= 0

    lead_source_idstring

    The Propexo unique identifier for the lead source

    lease_period_idstring

    The Propexo unique identifier for the lease period

    phone_1_typestring

    Type of the primary phone number

    Show 4 enum values
    FAXHOMEMOBILEWORK
    middle_namestring

    The middle name associated with the lead

    phone_2string

    Secondary phone number associated with the lead

    phone_2_typestring

    Type of the secondary phone number

    Show 4 enum values
    FAXHOMEMOBILEWORK
    address_1string

    The first address line associated with the lead

    address_2string

    The second address line associated with the lead

    citystring

    The city associated with the lead

    statestring

    The state associated with the lead

    zipstring

    The zip code associated with the lead

    desired_min_rent_in_centsnumber | nullnullable

    The minimum rent cost the lead is looking to pay, in cents

    number_of_occupantsinteger

    The number of occupants living in the unit

    notesstring

    Notes associated with the lead

    events object[]

    A list of events to create for the new lead

  • Array [
  • employee_idstringrequired

    The Propexo unique identifier for the employee

    lead_source_idstring

    The Propexo unique identifier for the lead source

    unit_idstring

    The Propexo unique identifier for the unit. Only some events use this, including "Show" and "Appointment".

    event_namestringrequired

    The name or type of event. This has to be from a predefined set of events.

    Show 13 enum values
    CallToProspectCallFromProspectOtherWalkInChatEmailTextWebserviceAppointmentShowApplicationSelfGuidedTourApplication
    event_datetimestring<date-time>required

    The date when the event will occur

    notesstring

    Notes associated with the event

    Possible values: <= 256 characters

    reasons_for_eventstring

    The reasons for the event

  • ]
  • address_type_idstring

    The Propexo unique identifier for the address type

    desired_lease_term_in_monthsstring

    The amount of months for the lease term

    applicant_statusstring

    The applicant status of the lead. This is optional and defaults to APPLICANT.

    Show 3 enum values
    APPLICANTCO_APPLICANTOCCUPANT
    countrystring

    The country associated with the lead

    status_rawstring

    The raw status associated with the lead

    desired_unit_typestring

    The desired type of unit

    lead_relationship_idstring

    The Propexo unique identifier for the lead relationship

    date_of_birthstring

    The date of birth associated with the lead

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    floor_plan_idstring

    The Propexo unique identifier for the floor plan

    third_party_idstring

    A unique value provided to the PMS to uniquely identify the lead from your system.

    Possible values: non-empty

    organization_namestring

    The name of your organization. Yardi uses this for associating a lead

Response​

Successful response

    job_idstringrequired

    The ID of the job created to handle this operation

    data objectrequired
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/leads/
curl -X POST https://api.propexo.com/v1/leads/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string"
}'
200 Successful response
{
"job_id": "string",
"data": {}
}